Bug 218134 - GFS & GFS2: umount while busy gives bogus error message
GFS & GFS2: umount while busy gives bogus error message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 17:36 EST by Robert Peterson
Modified: 2010-01-11 22:32 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0576
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-12-01 17:36:12 EST
Description of problem:
If you try to unmount a GFS or GFS2 file system while it's busy,
you'll get an error message saying "error 16" rather than the
standard "device is busy."

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always

Steps to Reproduce:
[root@marathon-01 ~]# mount -t gfs /dev/linear_1/linear_10 /mnt/gfs_vs0/
[root@marathon-01 ~]# cd /mnt/gfs_vs0/
[root@marathon-01 gfs_vs0]# umount /mnt/gfs_vs0/
  
Actual results:
/sbin/umount.gfs: error 16 unmounting /mnt/gfs_vs0
/sbin/umount.gfs: error 16 unmounting /mnt/gfs_vs0

Expected results:
umount: /mnt/gfs_vs0: device is busy
umount: /mnt/gfs_vs0: device is busy

Additional info:
Simple fix to umount.gfs2.c which gets built into both
umount.gfs and umount.gfs2.
Comment 1 Robert Peterson 2006-12-01 17:54:32 EST
The fix was committed to CVS for HEAD, RHEL5 and RHEL50.
Comment 2 Kiersten (Kerri) Anderson 2007-04-23 13:39:33 EDT
Fixing product name. Cluster Suite components were integrated into Enterprise
Linux for verion 5.0.
Comment 4 RHEL Product and Program Management 2007-05-01 13:37:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2007-11-07 12:57:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0576.html

Note You need to log in before you can comment on or make changes to this bug.